package com.djhk.uav.feedback.mapper;

import com.djhk.uav.feedback.domain.QuestionFeedback;

import java.util.List;

/**
 * 问题反馈Mapper接口
 * 
 * @author qpc
 * @date 2025-04-10
 */
public interface QuestionFeedbackMapper 
{
    /**
     * 查询问题反馈
     * 
     * @param id 问题反馈主键
     * @return 问题反馈
     */
    public QuestionFeedback selectQuestionFeedbackById(Long id);

    /**
     * 查询问题反馈列表
     * 
     * @param questionFeedback 问题反馈
     * @return 问题反馈集合
     */
    public List<QuestionFeedback> selectQuestionFeedbackList(QuestionFeedback questionFeedback);

    /**
     * 新增问题反馈
     * 
     * @param questionFeedback 问题反馈
     * @return 结果
     */
    public int insertQuestionFeedback(QuestionFeedback questionFeedback);

    /**
     * 修改问题反馈
     * 
     * @param questionFeedback 问题反馈
     * @return 结果
     */
    public int updateQuestionFeedback(QuestionFeedback questionFeedback);

    /**
     * 删除问题反馈
     * 
     * @param id 问题反馈主键
     * @return 结果
     */
    public int deleteQuestionFeedbackById(Long id);

    /**
     * 批量删除问题反馈
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQuestionFeedbackByIds(Long[] ids);
}
